% DiscreteApproxToMeanOneLogNormal.m
% Function which is used for constructing shock vectors (PermVec, TranVec, PermShockDraws, TranShockDraws) 
 
function shocklist= DiscreteApproxToNormal(std,mu, numofshockpoints)

 % need to declare global variables since these are used in function FuncToIntegrate
ListOfEdgePoints=zeros(numofshockpoints-1,1);
for i=1:numofshockpoints-1
    ListOfEdgePoints(i) = norminv(i/numofshockpoints,mu,std);
end

shocklist=zeros(numofshockpoints,1);
shocklist(1) = quad(@(x)x.*normpdf(x,mu,std),-10,ListOfEdgePoints(1))*numofshockpoints;
for i=2:numofshockpoints-1
    shocklist(i) = quad(@(x)x.*normpdf(x,mu,std),ListOfEdgePoints(i-1),ListOfEdgePoints(i))*numofshockpoints;
end
shocklist(numofshockpoints) = quad(@(x)x.*normpdf(x,mu,std),ListOfEdgePoints(numofshockpoints-1),10)*numofshockpoints;
