
clear
u data_sim_all, clear
gen w=y

*histograms on wages: Figure 2
preserve
keep if female==1 & college==1
graph twoway (hist w, density width(0.4) ) (kdensity w_p, lwidth(thick)) if w_p<=30, xlabel(0(10)30) scheme(s1mono) ytitle("Density") xtitle("Wage") legend(lab(1 "actual") lab(2 "predicted")) title("Female, college") saving(wages_11, replace)
restore

preserve
keep if female==1 & college==0
graph twoway (hist w, density width(0.4)) (kdensity w_p, lwidth(thick)) if w_p<=30, xlabel(0(10)30) scheme(s1mono) ytitle("Density") xtitle("Wage") legend(lab(1 "actual") lab(2 "predicted")) title("Female, high school") saving(wages_10, replace)
restore

preserve
keep if female==0 & college==1
graph twoway (hist w, density width(0.4)) (kdensity w_p, lwidth(thick)) if w_p<=30, xlabel(0(10)30) scheme(s1mono) ytitle("Density") xtitle("Wage") legend(lab(1 "actual") lab(2 "predicted")) title("Male, college") saving(wages_01, replace)
restore

preserve
keep if female==0 & college==0
graph twoway (hist w, density width(0.4)) (kdensity w_p, lwidth(thick)) if w_p<=30, xlabel(0(10)30) scheme(s1mono) ytitle("Density") xtitle("Wage") legend(lab(1 "actual") lab(2 "predicted")) title("Male, high school") saving(wages_00, replace)
restore

graph combine wages_11.gph wages_10.gph wages_01.gph wages_00.gph, col(2) scheme(s1mono) ycommon saving(wages, replace)
 graph export wages_fit.eps, replace
 ! epstopdf wages_fit.eps 

***Table 5** 
bys female college: tabulate(h)
bys female college: tabulate(h_p)


