%function [apprV]=apprValueFunction(NumGrids,PeriodsToSolve,NumOfShockPoints,aMauMac_i, delta_i,sc, etaVec,zetaVec,a0Vec, p_off,Gamma,horizon)
function [v_alpha, vnext_a0, v_h1, v_h2]=apprValueFunction(female,Gamma,aMat,maxchild,coefs,X,p_child, v_alpha_last, vnext_a0_last)

%***********************
%INIFINTE HORIZON MODEL
%**********************

%**LIST OF PARAMETERS**********
h1=30;
h2=40;

v_a0=coefs(1);
lam_e=coefs(2);
p_n=coefs(3);
lam_d=coefs(4);
v_e=coefs(5); %variance of measurement error
alpha2=coefs(6);
xiMat=coefs(7:8);
p_xi2=coefs(9);
%parameters of the types; in value function since they are given
alpha1=coefs(10);  %this is the constant term (base group)
utype2=coefs(11); %utype2 relative to utype1=0
p_type2=coefs(12); %prob of second type
%wage coefs
beta=coefs(13:16)'; %constant, urate,white,metro 
%preference coefs: note there is no intercept here--we allow for two
%type-specifc intercepts 
theta=coefs(17:19)'; %white, married, children
wtype2=0;
pi= 1;
phi0=coefs(20);
lam_e2=coefs(21);
lam_d2=coefs(22);
%***************
bc=theta(end); %preference for children
bx=beta;
xiGrids=length(xiMat);
wtype=[0; wtype2];
utype=[alpha1 alpha1+utype2];
p_xi=[1-p_xi2, p_xi2];

aGrids=length(aMat);
%grid points for permanent unobserved heterogeneity
max_type_i=length(utype);
v_h1=zeros(aGrids,xiGrids, maxchild+1,max_type_i);
v_h2=zeros(aGrids,xiGrids, maxchild+1,max_type_i);
v_alpha=zeros(maxchild+1,max_type_i);
vnext_a0=zeros(aGrids,xiGrids, maxchild+1,max_type_i);

    %observable state variables: X=[married,urate, white, metro]
    X_w=[1, X(2),X(3),X(4)]; 
    %Z include time-invariant covariates in preferences (white, married);
    %no constant term since type-specific intercepts are allowed
    Z=[X(3), X(1)];  
    for type_i=1:max_type_i %unobserved type of the worker
    %unobserved heterogeneity given by type
    u0=utype(type_i);
    uw=wtype(type_i);
    %permanent heterogeneity in preferences for work
    alpha0=Z*theta(1:end-1)+u0;    
    lw0=X_w*bx+uw;
    %potential state space: children
        for child=maxchild+1:-1:1             
        %preference depends on number of children (child-1 is the # of
        %children)
        alpha1=alpha0+((child-1)*bc);  
                %FIRST COMPUTE V_T(ALPHA), THE VALUE FUNCTION OF
                %UNEMPLOYMENT
                %if no job offer in t+1,E(V_t+1(alpha)) for unemployment
                %(experience stays the same)
                if child-1<maxchild
                ev_alpha=(1-p_child)*v_alpha_last(child,type_i)+p_child*v_alpha_last(child+1,type_i);
                elseif child-1==maxchild
                ev_alpha=v_alpha_last(child,type_i); 
                end
                        %compute Emax when offer arrives (conditional on
                        %the value of the offer, p and q and integrate out
                        %eps_0 shocks (a vector) and fertility shocks
                        %(note: need to solve vnext_a0 at all grid
                        %points--will be used later--loop over all p and q)

                        %Emax(V(alpha),V(a0)]; integrate over eps_0 shocks
                        %and fertility shocks
                for q=1:xiGrids
                    for p=1:aGrids 
                        if child-1<maxchild
                        emax_vnext(p,q)=(1-p_child)*(max(v_alpha_last(child,type_i),vnext_a0_last(p,q, child,type_i)))+...
                            p_child*(max(v_alpha_last( child+1,type_i),vnext_a0_last(p,q,child+1,type_i)));
                        else
                        emax_vnext(p,q)=max(v_alpha_last(child,type_i),vnext_a0_last(p,q,child,type_i));      
                        end
                    end
                end
                %integrate out a' and xi' and write out value function of
                %unemploymenfor each point of state-space in t
                v_alpha(child,type_i)=utility(0,0,h1,h2,alpha1,alpha2,pi,phi0) + (1-p_n)*Gamma*ev_alpha+p_n*Gamma*(p_xi*mean(emax_vnext,1)');                         

                for q=1:xiGrids
                    for p=1:aGrids
                        
                        %now solve for value function of employment
                            %compute max of staying at the current
                            %job and quitting (integrate out fertility and
                            %eps_0 shocks
                        if child-1<maxchild    
                            %here assume value of the job in the next
                            %period is the same as this period (hours
                            %may adjust within the job)
                            emax_vnext_h_nooff(p,q)=(1-p_child)*max(vnext_a0_last(p,q, child,type_i), v_alpha_last( child,type_i))...
                                +p_child*max(vnext_a0_last(p,q,child+1,type_i), v_alpha_last( child+1,type_i));
                                                        % Compute max of staying at the current
                            %job,switching to the new job and quitting
                            %integrate out fertility shocks and
                            %eps_0 shocks firsfor given a and b
                            %(type of new job)
                            max_vnext_h_off=(1-p_child)*(max(max(vnext_a0_last(p,q, child,type_i), v_alpha_last( child,type_i)),vnext_a0_last(:,:, child,type_i)))...
                                    +p_child*(max(max(vnext_a0_last(p,q,child+1,type_i), v_alpha_last( child+1,type_i)),vnext_a0_last(:,:, child+1,type_i))); 
                        elseif child-1==maxchild
                            emax_vnext_h_nooff(p,q)= max(vnext_a0_last(p,q, child,type_i), v_alpha_last( child,type_i));  
                            max_vnext_h_off=(max(max(vnext_a0_last(p,q, child,type_i), v_alpha_last( child,type_i)),vnext_a0_last(:,:, child,type_i)));
                        end
                        %now integrate over external job offers a' and xi'
                        emax_vnext_h_off(p,q)=p_xi*mean(max_vnext_h_off,1)';                       
                        ev=(1-lam_e)*(1-lam_d)*Gamma*emax_vnext_h_nooff(p,q)...
                                +lam_e*(1-lam_d)*Gamma*emax_vnext_h_off(p,q)+lam_d*Gamma*...
                                (ev_alpha);
                            %ev when currently fulltime work
                        ev2=(1-lam_e2)*(1-lam_d2)*Gamma*emax_vnext_h_nooff(p,q)...
                                +lam_e2*(1-lam_d2)*Gamma*emax_vnext_h_off(p,q)+lam_d2*Gamma*...
                                (ev_alpha);                            
                        %choice-specific value functions
                        logw=lw0+aMat(p)-xiMat(q); %when PT
                        v_h1(p,q,child,type_i)=utility(logw,h1,h1,h2,alpha1,alpha2,pi,phi0)+ev;
                        logw=lw0+aMat(p); %when FT
                        v_h2(p,q,child,type_i)=utility(logw,h2,h1,h2,alpha1,alpha2,pi,phi0)+ev2;
                        vnext_a0(p,q,child,type_i)=max(v_h1(p,q,child,type_i), v_h2(p,q,child,type_i));
                    end                         
                end   
        end         
    end

return