%Data: person_new period emp jc ten y hours jspell married child
%age edgrp2 agpd2 

person=dataraw(:,1);
sortrows(dataraw,[1 2]);
I=max(person);

obs_1=[];
obs_2=[];
obs_3=[];
obs_4=[];
for i=1:I     
    data_i=dataraw(find(person==i,1,'first'):find(person==i,1,'last'),:);
    period_i=data_i(:,2);
    emp=data_i(:,3); %employment indicator
    T_i=max(period_i);
    begin=zeros(T_i,1);
    for t=2:T_i
        if emp(t)==0 && emp(t-1)==1 
            begin(t)=1; %new cycle begins counter
        end
    end
    aa=find(begin==1);
    %define employment cycles
    if isempty(aa)==1 %if aa is empty, i.e. only one cycle
        c_i=data_i; %data in a given cycle
        emp=c_i(:,3);
        jc=c_i(:,4);
        ten=c_i(:,5);
        w=c_i(:,6);
        H=c_i(:,7);
        X=[c_i(1,8:end),c_i(1,1)]; %fix observables at the first obs date
        d_i=sum(-(emp-1)); %each cycle begins with unemp spell
        if sum(emp)>0 %if contains employment spell
            T1=ten(find(emp, 1)); %first nonzero element: first job's tenure
            w1=w(find(emp, 1));
            H1=H(find(emp, 1));
            if sum(jc)==0 %if contains only one job spell
                obs_2=[obs_2; d_i,T1,w1,H1,X]; %type2 likelihood contribution: LC first job spell
            elseif sum(jc)>0 %if contains more than one job spell
                w2=w(find(jc, 1));
                H2=H(find(jc, 1));
                obs_1=[obs_1; d_i,T1,w1,H1,w2,H2,X];
            end
        elseif sum(emp)==0 %unemployed throughout
            obs_4=[obs_4;d_i,X]; %only unemployment spell
        end        
    elseif isempty(aa)==0 % if aa is non-empty, then there are more than one cycles
        %the first cycle: %unemployed throughout the cycle impossible by
        %definition
        c_i=data_i(1:(aa(1)-1),:); 
        emp=c_i(:,3);
        jc=c_i(:,4);
        ten=c_i(:,5);
        w=c_i(:,6);
        H=c_i(:,7);
        X=[c_i(1,8:end),c_i(1,1)]; %fix observables at the first obs date in every cycle
        d_i=sum(-(emp-1)); %each cycle begins with unemp spell
        T1=ten(find(emp, 1)); %first nonzero element: first job's tenure
        w1=w(find(emp, 1));
        H1=H(find(emp, 1));
        if sum(jc)==0
            obs_3=[obs_3; d_i,T1,w1,H1,X]; %type3 likelihood contribution: first job spell ends in unemployment
        elseif sum(jc)>0 %if contains more than one job spell
            w2=w(find(jc, 1));
            H2=H(find(jc, 1));
            obs_1=[obs_1; d_i,T1,w1,H1,w2,H2,X];
        end
 
    end
end   

