
%COUNTERFACTUAL ANALYSIS; ***TABLE 6-10****

clear all

matlabpool open 4
female=1
%select education group: college=1 is some college
college=1
select_sample

if female==1
%female sample
disp('Base: female')
    if college==1
        final_params1=final_params11;
        group_id=1;
        %load counterfactual Male parameters
        load 'final_params01';
        final_params0=final_params01;
        coefs=final_params1;
    elseif college==0
        load 'final_params10';
        final_params1=final_params10;
        group_id=2;
        %load counterfactual Male parameters
        load 'final_params00';
        final_params0=final_params00;    
        coefs=final_params1;
    end
end
%
c=1;
%baseline
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);
%tabulate baseline hours distribution for policy simulation
table=tabulate(data_sim(:,3,c));
pt_base=table(2,end)/100;
ft_base=table(3,end)/100;
%
c=2;
%counterfactual exercise to explain the gender gap  
disp('change female parameters: add male base preference for work ')
coefs=final_params1;
coefs(6)=final_params0(6);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=3;
disp('change female parameters: add male preference for part-time--demographics ')
coefs=final_params1;
coefs(17:19)=final_params0(17:19);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=4;
disp('change female parameters: add male preference for part-time types ')
coefs=final_params1;
coefs(10:12)=final_params0(10:12);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);


c=5;
disp('change female parameters: add search parameters')
coefs=final_params1;
coefs(2:3)=final_params0(2:3);
coefs(21)=final_params0(21);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=6;
disp('change female parameters: add layoff parameters')
coefs=final_params1;
coefs(4)=final_params0(4);
coefs(22)=final_params0(22);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=7;
disp('change female parameters: add cost of pt job parameters')
coefs=final_params1;
coefs(7:9)=final_params0(7:9);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);


c=8;
disp('change female parameters: add other wage parameters')
coefs=final_params1;
coefs(13:16)=final_params0(13:16);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=9;
disp('change female parameters: match heterogeneity')
coefs=final_params1;
coefs(1)=final_params0(1);
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=10;
disp('the total role of unobservable differences: use male parameters on female sample')
coefs=final_params0;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);
%tabulate baseline hours distribution for policy simulation
table=tabulate(data_sim(:,3,c));
pt_base_male=table(2,end)/100;
ft_base_male=table(3,end)/100;

c=11;
disp('policy experiment: reducing cost of providing PT job to zero')
%on female
coefs=final_params1;
coefs(7:8)=0;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);
c=12;
%on male
coefs=final_params0;
coefs(7:8)=0;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=13;
disp('equalizing FT/PT layoff probability')
%on female
coefs=final_params1;
ld=coefs(22);
coefs(4)=ld;
coefs(22)=ld;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);
c=14;
%on male
coefs=final_params0;
ld=coefs(22);
coefs(4)=ld;
coefs(22)=ld;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

c=15;
disp('labor supply elasticities')
%on female
coefs=final_params1;
coefs(13)=coefs(13)+0.1;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);
c=16;
%on male
coefs=final_params0;
coefs(13)=coefs(13)+0.1;
data_sim(:,:,c)=model_fit(female,coefs,obs_1,obs_2,obs_3,obs_4,p_childMat);

if college==1
save('data_counterfactual_1','data_sim')
elseif college==0
    save('data_counterfactual_0','data_sim')
end



