function l1 = loglkhd1(female,d,T1,w1,w2,H1,H2,lw0_p,coefs,a_bar1,astar,a_r,aMat_all,S,...
            jspell,dspell,childvec,cc)

%**LIST OF PARAMETERS**********
h1=30;
h2=40;

v_a0=coefs(1);
lam_e=coefs(2);
p_n=coefs(3);
lam_d=coefs(4);
v_e=coefs(5); %variance of measurement error
alpha2=coefs(6);
xiMat=coefs(7:8);
p_xi2=coefs(9);
%parameters of the types; in value function since they are given
alpha1=coefs(10);  %this is the constant term (base group)
utype2=coefs(11); %utype2 relative to utype1=0
p_type2=coefs(12); %prob of second type
wtype2=0;
lam_e2=coefs(21);
lam_d2=coefs(22);
%***************
wtype=[0; wtype2];
utype=[alpha1 alpha1+utype2];

s_a0=sqrt(v_a0);
s_e=sqrt(v_e);
p_xi=[1-p_xi2, p_xi2];
p_u0=[1-p_type2, p_type2];

xiGrids=length(xiMat);
%grid points for permanent unobserved heterogeneity
max_type_i=length(utype);

lw1=log(w1);
lw2=log(w2);
   
%derive probability of job-job mobility (on the first job): depending on
%the type of the second job worker meets
p=zeros(xiGrids,T1-jspell);
p_quit=zeros(T1-jspell);
p_m=zeros(T1-jspell); %probability of job mobility, unconditional on type of second job worker meets
l=nan(S,xiGrids,max_type_i);
p_m_t0=nan(S,xiGrids,max_type_i);

%draw acceptable a2 and determine wage and hours on the second job
u2 = rand(S,1); %fix u draws on a2
u1 = rand(S,1); %fix u draws on a1
p_d=ones(max_type_i,1);

for itype=1:max_type_i
%probability of unemployment periods and from unemployment to employment
    if d>0
        for dd=1:d
            temp=zeros(xiGrids,1);            
                for q=1:xiGrids %consider two types of firms: first low type and then high type
                abar_q=a_bar1( q,childvec(dd),itype);
                temp(q)=p_n*(1-normcdf(abar_q,0,s_a0));
                end
            p_emp(itype,dd)=p_xi*temp;
            p_d(itype)= p_d(itype)*(1-p_emp(itype,dd));
        end
    end       
    for jtype=1:xiGrids
        xi1=xiMat(jtype);
        u_low=a_bar1(jtype, childvec(d+1),itype)/s_a0;
        if u_low>2
            l1=1e-20*exp(min(u_low,10))/(1+exp(min(u_low,10)));
            %l1=1e-200;
            return
        end
        u_transform=normcdf(u_low)+(1-normcdf(u_low))*u1; 
        a1_sim= s_a0*norminv(u_transform,0,1); %conditional on FT to FT transition  

        %probability of unemployment periods and from unemployment to
        %employment
        if d>0
            p_1=p_d(itype)*p_n*(1-normcdf(a_bar1( jtype,childvec(d+1),itype),0,s_a0));
        elseif d==0
            p_1=1;            
        end        
        for atype=1:length(a1_sim)
            a1=a1_sim(atype);
            um=a1-astar(jtype, childvec(d+1),itype); %um>0, then H1_p=h2
            %100914: bound um from above: exp(very large) returns Inf
            p_h=exp(min(um/cc,10))/(1+exp(min(um/cc,10))); %replace discrete var. H1_p==h2 with cont. p_h: um/cc large, p_h close to one
            lw1_p=lw0_p+wtype(itype)+(a1-xi1*(1-p_h));
            if H1==h1
                p_h1=1-p_h; 
            elseif H1==h2
                p_h1=p_h; 
            end
            if um>=0
                p_e=lam_e2;
                delta=lam_d2;
            elseif um<0
                p_e=lam_e;
                delta=lam_d;
            end
            for ten=1:T1-jspell % ten_th period of employment (tenure count starts from zero: ten=0 (job started), 1...T1; T1+1 periods in total)
                child=childvec(ten+d); 
                um=a_bar1(jtype, child,itype)-a1;
                %bound p_quit away from 1; otherwise the denominator of
                %likelihood function not defined (p_m_t0=0)
                p_quit(ten)=exp(min(um/cc,6))/(1+exp(min(um/cc,6)));
                for kk=1:xiGrids %loop over the type of the external job
                    a1_r=interp1q(aMat_all,a_r(kk,:,jtype,child,itype)', a1);
                    p_0=(1-normcdf(a1_r,0,s_a0));
                    p(kk,ten)=p_e*(1-delta)*(p_0);
                end    
                p_m(ten)=p_xi*p(:,ten);   %prob of job mobility for current job of type k                     
            end
                p_m_t0(atype, jtype, itype) =(1-((p_m(1)+delta)+(1-p_m(1)-delta)*p_quit(1)))^(jspell);
%*************************************NEW IN TYPE 1 LIKELIHOOD*****
                %predicted wage at the 2nd job, third dimension
                %is kk (type of second job)
            lw2_p=zeros(S,xiGrids);
                %probability of quit to second job
            p2=zeros(xiGrids,1);
                
            for kk=1:xiGrids %loop over the type of the external job
                child=childvec(T1-jspell+d);
                xi2=xiMat(kk);        
                u_low=interp1q(aMat_all,a_r(kk,:,jtype,child,itype)', a1)/s_a0;
                u_transform=normcdf(u_low)+(1-normcdf(u_low))*u2; 
                a2_1 = s_a0*norminv(u_transform,0,1); %conditional on FT to FT transition  
                    %astar of the second job
                p_h2=zeros(S,1);    
                for s=1:S
                    um=a2_1(s)-astar(kk, child,itype);
                    p_h=exp(min(um/cc,10))/(1+exp(min(um/cc,10))); %replace discrete var. H1_p==h2 with cont. p_h: um/cc large, p_h close to one
                    lw2_p(s,kk)=lw0_p+wtype(itype)+(a2_1(s)-(xi2)*(1-p_h));
                    if H2==h1
                        p_h2(s)=1-p_h; %P(H1_p=h1)
                    elseif H2==h2
                        p_h2(s)=p_h; 
                    end                   
                end
                p2(kk)=p(kk,T1-jspell)*mean(normpdf(lw2_p(:,kk)-lw2,0,s_e).*p_h2);
            end
%*********************************

            %ll conditional on the type of first job
            xx=1;
            if T1-jspell-1>0
                for ten=1:T1-jspell-1
                    xx=xx*(1-((p_m(ten)+delta)+(1-p_m(ten)-delta)*p_quit(ten)));
                end
            end
%*****new in type1 likelihood*******
            x= p_h1*normpdf(lw1_p-lw1,0,s_e)*xx*(p_xi*p2);
%*********************************
            l(atype,jtype,itype) = (p_1*x);
            %p_t0=p_t0+p_m_t0(atype, jtype, itype)*p_u0(itype)*p_xi(jtype);
        end
    end
end

%l is conditional on a1,xi1,u0. l1=suml*P(a1,xi1,u0| T0)
%now need to integrate out a1,xi1,u0 by specifying density of P(a1,xi1,u0| T0)
%by bayes' rule, this is equal to P(T0| a1,xi1,u0)*g(a1,xi1,u0)/(sum P(T0| a1,xi1,u0)*g(a1,xi1,u0))
%here, simulate a's according to f(a | xi ,u0)
%g(a1,xi1,u0)=P(a | xi ,u0, a>a_bar(xi))P(xi | u0, a1>a_bar(xi))p(u0)
%P(xi | u0, a1>a_bar(xi))=P(a1>a_bar(xi)| xi,u0)*P(xi|
%u0)/P(a1>a_bar(xi)|u0)
nomi=ones(xiGrids,max_type_i);
denomi=ones(xiGrids,max_type_i);
p_d_t0=ones(max_type_i,1);

if d>0
    for itype=1:max_type_i
        p_d_t0(itype)=(1-p_emp(itype,1))^dspell*p_u0(itype);
    end
end
for itype=1:max_type_i
    for jtype=1:xiGrids
        if d>0
        nomi(jtype, itype)=mean(l(:,jtype,itype).*p_d_t0(itype))...
            *p_xi(jtype);
        else
        nomi(jtype, itype)=mean(l(:,jtype,itype).*p_m_t0(:, jtype, itype))*p_u0(itype)...
            *p_xi(jtype);
        denomi(jtype, itype)=mean(p_m_t0(:, jtype, itype))*p_u0(itype)...
            *p_xi(jtype);
        end
    end
end
if d>0
    l1=(sum(sum(nomi)))/sum(p_d_t0);
else
    l1=(sum(sum(nomi)))/sum(sum(denomi));
end

   return


