function [a_bar1, astar, a_r ]=reservation(aMat,xiMat,maxchild,xtype, max_type_i,v_h1, v_h2, v_alpha, vnext_a0,cc)

aGrids=length(aMat);
xiGrids=length(xiMat);

a_bar1=zeros(xiGrids, maxchild+1,max_type_i,xtype);
astar=zeros(xiGrids,maxchild+1, max_type_i,xtype);
%reservation match for mobility
a_r=zeros(xiGrids,aGrids,xiGrids, maxchild+1,max_type_i, xtype);

for tt=1:xtype
    for type_i=1:max_type_i %unobserved type of the worker
%compute the reservation match, for given state variable and given firm    
    %potential state space: children
        for child=maxchild+1:-1:1
            for q=1:xiGrids
                %reservation value for employment: the a's that makes
                %V(alpha) and W(h0,a) the closest (changed 030614: define
                %only one reservation wage)
                diff=vnext_a0(:,q, child,type_i,tt)-v_alpha( child,type_i,tt);%diff is increasing in a
                ind1=diff>=0;
                a_temp1=aMat(ind1);
                [v1, x1]=sort(diff(ind1));
                ind2=diff<0;
                a_temp2=aMat(ind2);
                [v2, x2]=sort(diff(ind2));  
                if isempty(diff(ind1))==1 %v_a0 always smaller than v_alpha
                    %reservation wage is very high: extrapolate abar (note sorted from smallest to largest)
                    %note here aMat=a_temp2
                    a_bar1(q, child,type_i,tt)=aMat(end)+cc*(0-v2(end))*(aMat(x2(end))-aMat(x2(end-1)))/(v2(end)-v2(end-1));
                elseif isempty(diff(ind2))==1 %v_a0 always larger than v_alpha
                    %reservatoin wage very low
                    a_bar1(q, child,type_i,tt)=aMat(1)-cc*(v1(1)-0)*(aMat(x1(2))-aMat(x1(1)))/(v1(2)-v1(1));
                elseif isempty(diff(ind2))==0 && isempty(diff(ind1))==0
                %local linear interpolation of reservation wage. note if
                %value function is monotonic increasing, a(x2) should be
                %smaller than a(x1)
                    a_bar1(q, child,type_i,tt)=a_temp2(x2(end))+(-v2(end))*(a_temp1(x1(1))-a_temp2(x2(end)))/(v1(1)-v2(end));
                end
                %reservation wage for ft/pt
                diff=v_h2(:,q,child,type_i,tt)-v_h1(:,q, child,type_i,tt);%diff is increasing in a
                ind1=diff>=0;
                a_temp1=aMat(ind1);
                [v1, x1]=sort(diff(ind1));
                ind2=diff<0;
                a_temp2=aMat(ind2);
                [v2, x2]=sort(diff(ind2));  
                if isempty(diff(ind1))==1 %value of ft always smaller than pt
                    %reservation wage for ft is very high: extrapolate abar (note sorted from smallest to largest)
                    astar(q, child,type_i,tt)=aMat(end)+cc*(0-v2(end))*(aMat(x2(end))-aMat(x2(end-1)))/(v2(end)-v2(end-1));
                elseif isempty(diff(ind2))==1 %value of ft always greater than pt
                    %reservatoin wage for ft is very low
                    astar(q, child,type_i,tt)=aMat(1)-cc*(v1(1)-0)*(aMat(x1(2))-aMat(x1(1)))/(v1(2)-v1(1));
                elseif isempty(diff(ind2))==0 && isempty(diff(ind1))==0
                %local linear interpolation of reservation wage. note if
                %value function is monotonic increasing, a(x2) should be
                %smaller than a(x1)
                    astar(q, child,type_i,tt)=a_temp2(x2(end))+(-v2(end))*(a_temp1(x1(1))-a_temp2(x2(end)))/(v1(1)-v2(end));
                end                
            end            
            for p=1:aGrids 
                for q=1:xiGrids
                    %now loop over the possible types of the second job
                    for q2=1:xiGrids
                        %hours choice at the beginning is always optimal
                        diff=vnext_a0(:,q2,child,type_i,tt)-vnext_a0(p,q,child,type_i,tt); %diff is increasing in a
                        ind1=diff>=0;
                        a_temp1=aMat(ind1);
                        [v1, x1]=sort(diff(ind1));
                        ind2=diff<0;
                        a_temp2=aMat(ind2);
                        [v2, x2]=sort(diff(ind2));  
                        if isempty(diff(ind1))==1 %value of external job always smaller than current job
                        %reservation wage for mobility is very high: extrapolate abar (note sorted from smallest to largest, v2 is negative)
                        a_r( q2,p,q,child,type_i,tt)=aMat(end)+cc*(0-v2(end))*(aMat(x2(end))-aMat(x2(end-1)))/(v2(end)-v2(end-1));
                        elseif isempty(diff(ind2))==1 %value of external job always greater than current job
                        %reservatoin wage is very low (v1 is positive)
                        %note here aMat=a_temp1
                        a_r( q2,p,q,child,type_i,tt)=aMat(1)-cc*(v1(1)-0)*(aMat(x1(2))-aMat(x1(1)))/(v1(2)-v1(1));
                        elseif isempty(diff(ind2))==0 && isempty(diff(ind1))==0
                        %local linear interpolation of reservation wage. note if
                        %value function is monotonic increasing, a(x2) should be
                        %smaller than a(x1)
                        a_r( q2,p,q,child,type_i,tt)=a_temp2(x2(end))+(-v2(end))*(a_temp1(x1(1))-a_temp2(x2(end)))/(v1(1)-v2(end));
                        end   
                    end
                end
            end
        end
    end
end

            